#
# Be sure to run `pod lib lint SYCSDK.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'SYCSDK'
  s.version          = '0.1.9'
  s.summary          = 'A short description of SYCSDK.'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
TODO: common three party.
                       DESC

  s.homepage         = 'http://www.shengyc.com/'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'ye_linux@126.com' => 'ye_linux@126.com' }
  s.source           = { :git => 'http://139.159.244.151:2900/chenyehong/SYCSDK.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '9.0'

  # s.source_files = 'SYCSDK/Classes/**/*'
  
   # s.subspec 'Network' do |network|
     # network.source_files = 'SYCSDK/Classes/Network/**/*'
     # network.dependency 'AFNetworking', '3.2.1'
    #  network.dependency 'YTKNetwork'
   # end
  
  s.subspec 'ViewUtil' do |viewUtil|
    viewUtil.source_files = 'SYCSDK/Classes/ViewUtil/**/*'
    viewUtil.dependency 'Masonry'
  end
  
  s.subspec 'IQKeyboardManager' do |s|
    s.dependency 'IQKeyboardManager', '6.5.6'
  end
  
  s.subspec 'MJRefresh' do |s|
    s.dependency 'MJRefresh', '3.5.0'
  end
  
  s.subspec 'MJExtension' do |s|
    s.dependency 'MJExtension', '3.2.2'
  end
  
  s.subspec 'SGQRCode' do |s|
    s.dependency 'SGQRCode', '3.0.1'
  end
  
  s.subspec 'TTGTagCollectionView' do |s|
    s.dependency 'TTGTagCollectionView', '~> 1.11.1'
  end
  
  s.subspec 'JXPagingViewPager' do |s|
    s.dependency 'JXPagingView/Pager', '2.1.0'
  end
  
  s.subspec 'JXCategoryView' do |s|
    s.dependency 'JXCategoryView', '1.5.8'
  end
  
  s.subspec 'DACircularProgress' do |s|
    s.dependency 'DACircularProgress', '2.3.1'
  end
  
  s.subspec 'JKCategories' do |s|
    s.dependency 'JKCategories', '1.9.1'
  end
  
  s.subspec 'MBProgressHUD' do |s|
    s.dependency 'MBProgressHUD', '1.2.0'
  end
  
  s.subspec 'YYText' do |s|
    s.dependency 'YYText', '1.0.7'
  end
  
  s.subspec 'BRPickerView' do |s|
    s.dependency 'BRPickerView', '2.7.3'
  end
  
  s.subspec 'SDWebImage' do |s|
    s.dependency 'SDWebImage','5.9.1'
  end
  
  s.subspec 'STCBinder' do |s|
    s.dependency 'STCBinder', '1.0.0'
  end
  
  # s.resource_bundles = {
  #   'SYCSDK' => ['SYCSDK/Assets/*.png']
  # }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  # s.dependency 'AFNetworking', '~> 2.3'
end
